import Stack from '@mui/material/Stack';
import IconButton from '@mui/material/IconButton';
import PersonAddAltIcon from '@mui/icons-material/PersonAddAlt';
import CloseIcon from '@mui/icons-material/Close';
import { makeStyles, Typography } from '@material-ui/core'
import { firstLetter,slicedWord,timeStamp } from '../../../../../../../helpers'
import { useSelector } from 'react-redux';
import { getState } from '../../../../../../../redux/chat/selector'

const useStyles = makeStyles({
  container: {
    width:'100%'
  },
  imgContainer: {
    position:'relative',
    width: '100%',
    height: 488,
    color: '#ffffff',
    display: 'flex',
    justifyContent: 'center',
    alignContent: 'center',
    alignItems: 'center',
    fontSize:200
  },
  nameTile: {
    position:'absolute',
    color: '#ffffff',
    fontWeight:600,
    fontSize: 24,
    zIndex:10,
    top: 415,
    left:35
  },
  timeTile: {
    position:'absolute',
    color: '#cfcfcf',
    fontSize: 18,
    top: 450,
    left:35
  },    
})

const ProfilePicture = () => {
  const classes = useStyles()
  const { chat : { name,lastName,avatarUrl,online,color } } = useSelector(getState)
  return (
    <div className={classes.container}>
      {avatarUrl ? <img className={classes.imgContainer} width='488px' height='488px' alt='avatar'
        src={`http://localhost:3000/${avatarUrl}`}></img> :
        <div className={classes.imgContainer} style={{ background: `linear-gradient(${color} 75%, #4e4e4e)` }}>
        {`${firstLetter(name)}${firstLetter(lastName)}`}</div>}
      <span className={classes.nameTile}>{`${firstLetter(name)}${slicedWord(name, 15, 1)}
        ${firstLetter(lastName)}${slicedWord(lastName, 15, 1)}`}</span>
      <span className={classes.timeTile}>{online === 'true'?'online':`last seen ${timeStamp(online)}`}</span>
    </div>
  )
}

export default ProfilePicture